Bug 1158932 - irqbalance signal handling
Summary: irqbalance signal handling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: irqbalance
Version: 6.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Holasek
QA Contact: Andrej Manduch
URL:
Whiteboard:
Depends On:
Blocks: 1158937
TreeView+ depends on / blocked
 
Reported: 2014-10-30 14:24 UTC by Andrej Manduch
Modified: 2016-10-04 04:14 UTC (History)
4 users (show)

Fixed In Version: irqbalance-1.0.7-2.el6
Doc Type: Bug Fix
Doc Text:
Previously, the irqbalance utility did not set signal handlers for particular signals. Consequently, when irqbalance received a signal other than SIGINT or SIGHUP, it terminated without a cleanup. This update provides signal handlers for SIGUSR1, SIGUSR2, and SIGTERM. As a result, irqbalance now stops gracefully after finishing the current balancing iteration.
Clone Of:
: 1158937 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:11:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1279 normal SHIPPED_LIVE irqbalance bug fix and enhancement update 2015-07-20 17:49:09 UTC

Description Andrej Manduch 2014-10-30 14:24:35 UTC
Description of problem:

Irqbalance will exit on every single signal which receive except SIGHUP (which is ok).

When irqbalance receive SIGINT it will unlink pidfile and exit correctly (this is still ok). However if irqbalance receive another signal It will just crash (it will exit but without unlinking pidfile)

irqbalance crash even when receives `innocent` signals like SIGUSR1...

I'm not sure if this is bug or desired behaviour however I'll be happy if somebody will take look at that.

Comment 4 errata-xmlrpc 2015-07-22 06:11:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1279.html


Note You need to log in before you can comment on or make changes to this bug.